Loading...
Searching...
No Matches
MMFF94Parameters.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/hashMap.h>`

Go to the source code of this file.

## Classes

class | BALL::MMFF94ParametersBase
class | BALL::MMFF94AtomTypeEquivalences
struct | BALL::MMFF94AtomType
| Class to store the values of an atom type from MMFFPROP.PAR. More...
class | BALL::MMFF94AtomTypes
class | BALL::MMFF94StretchParameters
struct | BALL::MMFF94StretchParameters::BondData
struct | BALL::MMFF94StretchParameters::EmpiricalBondData
class | BALL::MMFF94BendParameters
class | BALL::MMFF94StretchBendParameters
class | BALL::MMFF94TorsionParameters
class | BALL::MMFF94PlaneParameters
class | BALL::MMFF94VDWParameters
struct | BALL::MMFF94VDWParameters::VDWEntry
class | BALL::MMFF94ESParameters

## Namespaces

namespace | BALL

## Macros

#define | MMFF94_INVALID_VALUE 99.0

## Functions

Position | BALL::getMMFF94Index (Position atom_type1, Position atom_type2)

## Variables

Size | BALL::MMFF94_number_atom_types
| hold the maximum number of MMFF94 atom types + 1 (wildcard)

## Macro Definition Documentation

## MMFF94_INVALID_VALUE

#define MMFF94_INVALID_VALUE 99.0

Definition at line 33 of file MMFF94Parameters.h.